Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.utils.v1
Interface ParameterMap

All Known Implementing Classes:
  ServletProviderContext, SimpleParameterMap

public interface ParameterMap

A `ParameterMap` contains a set of parameters whose values are `Object`s mapped to `String` names.

Method Summary
`boolean` | `containsParameter(java.lang.String parameterName)` Returns true if this `ParameterMap` object contains the specified String as a parameter name.
`java.util.Enumeration` | `getParameterNames()` Returns an `Enumeration` of the parameter names belonging to this `ParameterMap` object, this may then be used to fetch the parameters sequentially.
`java.lang.Object` | `getParameterValue(java.lang.String parameterName)` Gets the value of the parameter with the given name.

Method Detail

### getParameterValue

    public java.lang.Object getParameterValue(java.lang.String parameterName)

  Gets the value of the parameter with the given name. If either the name or parameter does not exist, null is returned.
  Parameters:
    `parameterName` - the parameter name.
  Returns:
    the parameter with given name.

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Returns an `Enumeration` of the parameter names belonging to this `ParameterMap` object, this may then be used to fetch the parameters sequentially.
  Returns:
    an `Enumeration` of the parameter names.

### containsParameter

    public boolean containsParameter(java.lang.String parameterName)

  Returns true if this `ParameterMap` object contains the specified String as a parameter name.
  Parameters:
    `parameterName` - parameter name to search for.
  Returns:
    true if the give name is found, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD